package doctor.auth.controller;

import doctor.auth.service.HealthUserService;
import doctor.auth.vo.UserVo;
import doctor.common.core.domain.HealthR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user/v1")
public class HealthUserController {

    @Autowired
    private HealthUserService healthService;

    @PostMapping("/login")
    public HealthR<?> login(@RequestParam String email, @RequestParam String pwd) {
        UserVo userInfo = healthService.login(email,pwd);
        if (userInfo!=null){
            return HealthR.ok(userInfo);
        }else {
            return HealthR.fail();
        }
    }


}
