package doctor.auth.service;

import doctor.auth.util.RSAUtils;
import doctor.auth.util.RsaKey;
import doctor.auth.vo.UserVo;
import doctor.common.core.domain.R;
import doctor.common.security.service.TokenService;
import doctor.system.api.RemoteDoctorService;
import doctor.system.api.model.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.UUID;

@Component
public class HealthUserService {
    @Autowired
    private RemoteDoctorService remoteDoctorUserService;
    @Autowired
    private TokenService tokenService;

    public UserVo login(String email, String pwd) {
        UserVo doctorUserVo = new UserVo();
        R<LoginUser> userResult = remoteDoctorUserService.getUser(email);
        LoginUser data = userResult.getData();
        String s="";
        try {
           s = RSAUtils.rsaDecrypt(pwd, RsaKey.PRIVATE_KEY);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (data==null){
            return null;
        }
        if (s.equals(data.getUser().getPwd())){
            Map<String, Object> token = tokenService.createToken(data);
            String accessToken = (String) token.get("access_token");
            doctorUserVo.setSessionId(accessToken);
            doctorUserVo.setEmail(data.getUser().getEmail());
            doctorUserVo.setUserId(data.getUser().getId());
            doctorUserVo.setUserName(data.getUser().getUserName());
            doctorUserVo.setNickName(data.getUser().getNickName());
            doctorUserVo.setAge(data.getUser().getAge());
            doctorUserVo.setJiGuangPwd(s);
            doctorUserVo.setHeadPic(data.getUser().getHeadPic());
            doctorUserVo.setSex(data.getUser().getSex());
            doctorUserVo.setHeight(data.getUser().getHeight());
            doctorUserVo.setWeight(data.getUser().getWeight());
            doctorUserVo.setFaceFlag(1);
            UUID uuid = UUID.randomUUID();
            String inviteCode = uuid.toString().replaceAll("-", "").substring(0, 8);
            doctorUserVo.setInvitationCode(inviteCode);
            doctorUserVo.setWhetherBingWeChat(2);
            return doctorUserVo;
        }
        return null;
    }
}
