package doctor.controller;


import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.domain.entity.*;
import doctor.service.DiseaseCategoryService;
import doctor.service.DiseaseKnowledgeService;
import doctor.service.HealthJobTitleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static doctor.common.core.utils.PageUtils.startPage;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/10 20:56
 */
@RestController
@RequestMapping("/share/knowledgeBase/v1")
public class DiseaseKnowledgeController {
    @Autowired
    private DiseaseKnowledgeService diseaseKnowledgeService;
    @Autowired
    private DiseaseCategoryService diseaseCategoryService;

    @GetMapping("/findDepartment")
    public HealthR<List<Department>> findDepartment(){
        List<Department> departments= diseaseKnowledgeService.findDepartment();
        return HealthR.ok(departments);
    }

    //罕见病症详情
    @GetMapping("/findDiseaseKnowledge")
    public HealthR<List<DiseaseKnowledge>> findDiseaseKnowledge(@RequestParam Integer diseaseCategoryId){
        return HealthR.ok(diseaseKnowledgeService.findDiseaseKnowledge(diseaseCategoryId));
    }

    @GetMapping("/findDrugsCategoryList")
    public HealthR<List<DrugsCategory>> findDrugsCategoryList(){
        return HealthR.ok(diseaseKnowledgeService.findDrugsCategoryList());
    }
    @GetMapping("/findDrugsKnowledgeList")
    public HealthR<List<DrugsCategory>> findDrugsKnowledgeList(@RequestParam Integer drugsCategoryId,
                                                         @RequestParam(value = "page",defaultValue = "1") Integer page,
                                                         @RequestParam(value = "count",defaultValue = "5") Integer count){

        startPage(page,count);
        List<DrugsCategory> list=diseaseKnowledgeService.findDrugsKnowledgeList(drugsCategoryId);
        return HealthR.ok(list);
    }

    @GetMapping("/findDrugsKnowledge")
    public HealthR <DrugsKnowledge> findDrugsKnowledge(@RequestParam Integer id){
        DrugsKnowledge list=diseaseKnowledgeService.findDrugsKnowledge(id);
        return HealthR.ok(list);
    }

    @GetMapping("/popularSearch")
    public HealthR<List<PopularSearchEntity>> popularSeach(){
        List<PopularSearchEntity> list=diseaseKnowledgeService.popularSeach();
        return HealthR.ok(list);
    }
    @GetMapping("/findDiseaseCategory")
    public HealthR<List<DiseaseCategory>> findDiseaseCategory(@RequestParam Integer departmentId){
        List<DiseaseCategory> list=diseaseCategoryService.findDiseaseCategory(departmentId);
        return HealthR.ok(list);
    }






}
