package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.DoctorEntity;
import doctor.domain.vo.DoctorVo;
import doctor.service.DoctorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.print.Doc;
import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:30
 */
@RestController
@RequestMapping("/user/inquiry/v1")
public class DoctorController {
    @Autowired
    private DoctorService doctorService;
    @GetMapping("/findDoctorList")
    public HealthR<List<DoctorVo>> findDoctorList(@RequestParam Integer deptId,
                                                  @RequestParam Integer condition,
                                                  @RequestParam Integer sortBy,
                                                  @RequestParam(value = "page",defaultValue = "1") Integer page,
                                                  @RequestParam(value = "count",defaultValue = "5") Integer count
    ){
        startPage(page,count);
        List<DoctorVo> list=doctorService.findDoctorList(deptId,condition,sortBy);
        return HealthR.ok(list);
    }
}
