package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.*;
import doctor.service.DepartmentService;
import doctor.service.DiseaseCategoryService;
import doctor.service.DiseaseKnowledgeService;
import doctor.service.HealthDepartmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

@RestController
@RequestMapping("/knowledgeBase/v1")
public class HealthDepartmentController {

    @Autowired
    private HealthDepartmentService healthV1Service;
    @Autowired
    private DiseaseCategoryService diseaseCategoryService;

    @Autowired
    private DiseaseKnowledgeService diseaseKnowledgeService;
    //罕见病症详情
    @GetMapping("/findDiseaseKnowledge")
    public HealthR<List<DiseaseKnowledge>> findDiseaseKnowledge(@RequestParam Integer diseaseCategoryId){
        return HealthR.ok(diseaseKnowledgeService.findDiseaseKnowledge(diseaseCategoryId));
    }

    @GetMapping("/findDrugsCategoryList")
    public HealthR<List<DrugsCategory>> findDrugsCategoryList(){
        return HealthR.ok(diseaseKnowledgeService.findDrugsCategoryList());
    }
    @GetMapping("/findDrugsKnowledgeList")
    public HealthR<List<DrugsCategory>> findDrugsKnowledgeList(@RequestParam Integer drugsCategoryId,
                                                               @RequestParam(value = "page",defaultValue = "1") Integer page,
                                                               @RequestParam(value = "count",defaultValue = "5") Integer count){

        startPage(page,count);
        List<DrugsCategory> list=diseaseKnowledgeService.findDrugsKnowledgeList(drugsCategoryId);
        return HealthR.ok(list);
    }


    @GetMapping("/findDiseaseCategory")
    public HealthR<List<DiseaseCategory>> findDiseaseCategory(@RequestParam Integer departmentId){
        List<DiseaseCategory> list=diseaseCategoryService.findDiseaseCategory(departmentId);
        return HealthR.ok(list);
    }

    @GetMapping("/findDepartment")
    public HealthR<List<DepartmentEntity>> findDepartment(){
        List<DepartmentEntity> departmentEntities=healthV1Service.findDepartment();
        return HealthR.ok(departmentEntities);
    }
}
