package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.vo.HistoryInquiryRecordVo;
import doctor.domain.vo.InquiryRecordVo;
import doctor.service.InquiryVerifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/inquiry/verify/v1")
public class HealthInquiryVerifyController {

    @Autowired
    private InquiryVerifyService inquiryVerifyService;

    @GetMapping("/findInquiryRecordList")
    public HealthR<List<InquiryRecordVo>> findInquiryRecordList() {
        List<InquiryRecordVo> inquiryRecordList = inquiryVerifyService.findInquiryRecordList();
        return HealthR.ok(inquiryRecordList);
    }

    @GetMapping("/findHistoryInquiryRecord")
    public HealthR<List<HistoryInquiryRecordVo>> findHistoryInquiryRecord(@RequestParam Integer page,
                                                                          @RequestParam Integer count,
                                                                          @RequestHeader Integer doctorId) {
        List<HistoryInquiryRecordVo> inquiryRecordList = inquiryVerifyService.findHistoryInquiryRecord(page,count,doctorId);
        return HealthR.ok(inquiryRecordList);
    }

}
