package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.Information;
import doctor.domain.entity.InformationPlate;
import doctor.service.InformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/11 16:19
 */
@RestController
@RequestMapping("/share/information/v1")
public class InformationController {
    @Autowired
    private InformationService informationService;
    @GetMapping("/findInformationList")
    public HealthR<List<Information>> findInformationList(@RequestParam Integer plateId,
                                                          @RequestParam(value = "page",defaultValue = "1") Integer page,
                                                          @RequestParam(value = "count",defaultValue = "5") Integer count){
        startPage(page,count);
        List<Information> list=informationService.findInformationList(plateId);
        return HealthR.ok(list);
    }
    @GetMapping("/findInformationPlateList")
    public HealthR<List<InformationPlate>> findInformationPlateList(){
        List<InformationPlate> list=informationService.findInformationPlateList();
        return HealthR.ok(list);
    }
    @GetMapping("/findInformation")
    public HealthR<Information> findInformation(@RequestParam Long infoId,
                                                      @RequestHeader(name="userId",required = false)Long userId,
                                                      @RequestHeader(name = "sessionId",required = false)String sessionId){
        Information list=informationService.findInformation(infoId);
        return HealthR.ok(list,"查询成功");
    }
}
