package doctor.controller;

import com.alibaba.nacos.api.model.v2.Result;
import doctor.common.core.domain.HealthR;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SickCommentVo;
import doctor.service.SickCircleServer;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
/**
 * @ClassName SickCircle
 * @Description 新增病友圈
 */
@RestController
@RequestMapping("/user/sickCircle/verify/v1/")
public class SickCircleController {
    @Autowired
    SickCircleServer sickCircleServer;


    /**
     * 新增病友圈
     */
    @PostMapping("/publishSickCircle")
    public HealthR<SickCircleEntity> publishSickCircle(@RequestBody SickCircleEntity sickCircleEntity) {

        return sickCircleServer.publishSickCircle(sickCircleEntity);
    }

    /**
     * 上传图片
     *
     * @param picture
     * @return
     */
    @PostMapping("/uploadSickCirclePicture")
    public Result upload(@RequestParam("picture") MultipartFile picture) {
        return sickCircleServer.pictures(picture);
    }


    /**
     * 发表评论
     */
    @PostMapping("/publishComment")
    public Result<SickCommentVo> publishComment(
            @RequestParam("sickCircleId") Integer sickCircleId,
            @RequestParam("content") String content) {
        return sickCircleServer.publishComment(sickCircleId, content);
    }


    /**
     * 点采
     * @param opinion
     * @return
     */
    @PutMapping("expressOpinion")
    public HealthR expressOpinion(@RequestParam("commentId") Integer commentId,
                                  @RequestParam("opinion") Integer opinion){
//        return sickCircleServer.expressOpinion(commentId, opinion);

        return sickCircleServer.expressOpinion(commentId, opinion);
    }


}
