package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.vo.SickCircleCommentVo;
import doctor.domain.vo.UserSickCircleVo;
import doctor.service.UserSickCircleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

/**
 * @ClassName : SickCircleController
 * @Description : 病友圈
 * @Author : FJJ
 * @Date: 2024-01-16 22:08
 */
@RestController
@RequestMapping("/user/sickCircle/verify/v1")
public class UserSickCircleController {
    @Autowired
    private UserSickCircleService userSickCircleService;
    //查看我的病友圈
    @GetMapping("/findMySickCircleList")
    public HealthR<List<UserSickCircleVo>> findMySickCircleList(@RequestParam Integer page, @RequestParam Integer count){
        startPage(page,count);
        List<UserSickCircleVo> userFriendCircles = userSickCircleService.findMySickCircleList();
        return HealthR.ok(userFriendCircles);
    }


}
