package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.domain.entity.*;
import doctor.domain.vo.VideoCommentVo;
import doctor.service.VideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName : VideoController
 * @Description : 健康课堂视频
 * @Author : FJJ
 * @Date: 2024-01-10 15:58
 */
@RestController
@RequestMapping("/user/video")
public class VideoController {
    @Autowired
    private VideoService videoService;
    //收藏健康讲堂视频列表
    @PostMapping("/verify/v1/addUserVideoCollection")
    public HealthR addUserVideoCollection(@RequestParam  Integer videoId,@RequestHeader Integer userId){
        videoService.addUserVideoCollection(videoId,userId);
        return HealthR.ok();
    }
    //购买健康讲堂视频
    @PostMapping("/verify/v1/videoBuy")
    public HealthR videoBuy(@RequestParam Integer videoId, @RequestParam Integer price){
        videoService.videoBuy(videoId,price);
        return HealthR.ok();
    }


    //评论列表
    @GetMapping("/v1/findVideoCommentList")
    public HealthR<List<VideoCommentVo>> findVideoCommentList(@RequestParam Integer videoId) {
        List<VideoCommentVo> videoCommentVoList = videoService.findVideoCommentList(videoId);
        return HealthR.ok(videoCommentVoList);
    }

    @PostMapping("/verify/v1/addVideoComment")
    public HealthR<VideoCommentVo> addVideoComment(@RequestHeader Integer userId,
                                                   @RequestHeader String sessionId,
                                                   @RequestParam Integer videoId,
                                                   @RequestParam String content) {
        videoService.addVideoComment(userId,sessionId,videoId,content);
        return HealthR.ok();
    }

}
