package doctor.domain.entity;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName MySickEntity
 * @Description 描述
 * @Author 栗永斌
 */
@Data
public class MySickEntity {
    /**
     * id
     */
    private Integer id;
    /**
     * 整个治疗案例的详细信息
     */
    private Integer sickCircleId;
    /**
     * 该治疗案例所属用户的ID
     */
    private Long userId;
    /**
     * 治疗案例的标题
     */
    private String title;
    /**
     * 该治疗案例所属部门的ID
     */
    private Integer departmentId;
    /**
     * 采纳的评论的ID，如果该治疗案例被采纳了
     */
    private Integer adoptCommentId;
    /**
     * 患者所患病症
     */
    private String disease;
    /**
     * 治疗案例的详细描述
     */
    private String detail;
    /**
     * 治疗医院的名称
     */
    private String treatmentHospital;
    /**
     * 治疗开始时间
     */
    private Date treatmentStartTime;
    /**
     * 治疗结束时间
     */
    private Date treatmentEndTime;
    /**
     * 治疗过程描述
     */
    private String treatmentProcess;
    /**
     * 该治疗案例所附图片的ID，如果有
     */
    private String picture;
    /**
     * 治疗案例发布的日期和时间
     */
    private Date releaseTime;
    /**
     * 该治疗案例被采纳的日期和时间，如果是采纳的案例
     */
    private Date adoptTime;
    /**
     * 治疗案例中包含的药品数量
     */
    private Integer amount;
    /**
     * 治疗案例创建的日期和时间
     */
    private Date createTime;
    /**
     * 治疗案例的收藏数量
     */
    private Integer collectionNum;
    /**
     * 治疗案例的评论数量
     */
    private Integer commentNum;


}
