package doctor.mapper;

import doctor.domain.entity.DoctorAskCount;
import doctor.domain.entity.InquiryDetailsRecordEntity;
import doctor.domain.entity.InquiryRecordEntity;
import doctor.domain.entity.UserDoctorFollowEntity;
import doctor.domain.vo.DoctorVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : InquiryMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-12 19:18
 */
@Mapper
public interface InquiryMapper {
    List<InquiryDetailsRecordEntity> findHistoryInquiryRecord();

    void consultDoctor(@Param("userId") Integer userId, @Param("doctorId") Integer doctorId);

    String findDoctorUserNameByDoctorId(@Param("doctorId") Integer doctorId);

    DoctorVo findDoctorInfo(@Param("doctorId") Integer doctorId);

    void followDoctor(@Param("userDoctorFollowEntity") UserDoctorFollowEntity userDoctorFollowEntity);

    void delCancelFollow(@Param("userid") Long userid, @Param("doctorId") Integer doctorId);

    InquiryRecordEntity findInquiryRecordById(@Param("recordId") Integer recordId, int i);

    void endInquiry(@Param("recordId") Integer recordId);

    DoctorAskCount getDoctorAskCount(@Param("doctorId") Integer doctorId);

    void addDoctorAskCount(DoctorAskCount doctorAskCount);

    void updDoctorAskCount(DoctorAskCount doctorAskCount);
}
