package doctor.mapper;

import doctor.domain.dto.UserArchivesDto;
import doctor.domain.dto.UserTaskRecordDto;
import doctor.domain.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestHeader;

import java.math.BigDecimal;
import java.util.List;

/**
 * @ClassName : UserVideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
@Mapper
public interface UserVideoMapper {
    List<UserVideoCollectionEntity> findVideoCollectionList(@Param("userId") Integer userId);

    void cancelVideoCollection(@Param("videoId") Integer videoId);

    List<UserVideoBuyEntity> findUserVideoBuyList();

    void deleteVideoBuy(@Param("videoId") Integer videoId);

//    Integer findUserWallet(@Param("userId") Integer userId);

    List<UserConsumptionRecordEntity> findUserConsumptionRecordList();

    List<UserEntity> findUserEntityList(@Param("userId") Integer userId);

    List<UserInfoCollectionEntity> findUserInfoCollectionList();

    List<UserAdoptCommentEntity> findMyAdoptedCommentList();

    List<UserArchivesEntity> findUserArchives(@Param("userId") Integer userId);

    void addUserArchives(UserArchivesEntity userArchivesEntity, @Param("userId") Integer userId);




    List<UserDoctorFollowEntity> findUserDoctorFollowList();

    List<UserTaskRecordDto> findUserTaskList();

    List<SignEntity> findUserSign(@Param("userId") Integer userId);

    List<UserEntity> getUserInfoById(@Param("userId") Integer userId);

    void perfectUserInfo(@Param("age") Integer age, @Param("height") Integer height, @Param("weight") Integer weight, @Param("userId") Integer userId);

    void updateUserSex(@Param("sex") Integer sex, @Param("userId") Integer userId);

    void modifyNickName(@Param("nickName") String nickName, @Param("userId") Integer userId);

    List<SystemNoticeEntity> findSystemNoticeList();

    List<InquiryRecordEntity> findInquiryNoticeList(Integer userId);

    List<UserWalletEntity> findHealthyCurrencyNoticeList(@Param("userId") Integer userId);

    List<SystemNoticeEntity> findUserNoticeReadNum(@Param("userId") Integer userId);


    SystemNoticeEntity findModifyAll(@Param("userId") Integer userId);

    void modifyAllStatus(@Param("userId") Integer userId);

    void uploadUserArchivesImg(@Param("id") Integer id, @Param("s") String s);

    void updateUserWallet(@Param("money") BigDecimal money, @Param("userId") Integer userId);

    Integer findUserWallet(@Param("userId") Integer userId);

    void updateUserWallet1(@Param("money") BigDecimal money, @Param("userId") Integer userId);


//    void addSign(SignEntity signEntity);

    List<SickCircleCommentEntity> findSickCircleCommentList(@Param("userId") Integer userId);

}
