package doctor.model;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 交易关闭
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TradeCloseModel {
    /**
     * 商户订单号，商户网站订单系统中唯一订单号
     */
    @JSONField(name = "out_trade_no")
    private String outTradeNo;
    /**
     * 支付宝交易号
     */
    @JSONField(name = "trade_no")
    private String tradeNo;

    public String toJsonStr(){
        return JSONObject.toJSONString(this);
    }


}
