package doctor.model;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 支付模型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TradePayModel {

    /**
     * 商户订单号，商户网站订单系统中唯一订单号
     */
    @JSONField(name = "out_trade_no")
    private String outTradeNo;
    /**
     * 付款金额，必填
     */
    @JSONField(name = "total_amount")
    private BigDecimal totalAmount;
    /**
     * 订单名称
     */
    private String subject;

    /**
     * 商品描述，可空
     */
    private String body;
    /**
     * 商品编码
     */
    @JSONField(name = "product_code")
    private String productCode = "FAST_INSTANT_TRADE_PAY";

    public String toJsonStr() {
        return JSONObject.toJSONString(this);
    }

}
