package doctor.model;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 退款
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TradeRefundModel {
    /**
     * 商户订单号
     */
    @JSONField(name = "out_trade_no")
    private String outTradeNo;
    /**
     * 支付宝交易号
     */
    @JSONField(name = "trade_no")
    private String tradeNo;
    /**
     * 退款金额
     */
    @JSONField(name = "refund_amount")
    private String refundAmount;
    /**
     * 退款原因
     */
    @JSONField(name = "refund_reason")
    private String refundReason;
     /**
     * 商户退款请求号
     */
    @JSONField(name = "out_request_no")
    private String outRequestNo;

    public String toJsonStr(){
        return JSONObject.toJSONString(this);
    }
}
