package doctor.model;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 退款查询
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TradeRefundQueryModel {
    /**
     * 商户订单号，商户网站订单系统中唯一订单号
     */
    @JSONField(name = "out_trade_no")
    private String outTradeNo;
    /**
     //支付宝交易号
     *
     */
    @JSONField(name = "trade_no")
    private String tradeNo;
    //请二选一设置
    /**
     *  请求退款接口时，传入的退款请求号，如果在退款请求时未传入，则该值为创建交易时的外部交易号，必填
     */
    @JSONField(name = "out_request_no")
    private String outRequestNo;

    public String toJsonStr(){
        return JSONObject.toJSONString(this);
    }

}
