package doctor.service;

import com.alipay.api.AlipayApiException;
import doctor.common.core.domain.HealthR;
import doctor.domain.dto.UserArchivesDto;
import doctor.domain.entity.*;
import doctor.domain.vo.*;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.List;

/**
 * @ClassName : UserVideoService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
public interface UserVideoService {




    List<UserVideoBuyVo> findUserVideoBuyList();

    void deleteVideoBuy(Integer videoId);



    List<UserVideoCollectionVo> findVideoCollectionList(Integer userId);

    void cancelVideoCollection(Integer userId, String sessionId, Integer videoId);

    List<UserConsumptionRecordVo> findUserConsumptionRecordList();

    List<UserEntity> whetherSignToday(Integer userId);

    List<UserInfoCollectionVo> findUserInfoCollectionList();

    List<UserAdoptCommentVo> findMyAdoptedCommentList();

    List<UserArchivesVo> findUserArchives(Integer userId);

    void addUserArchives(UserArchivesEntity userArchivesEntity, Integer userId);



    List<UserDoctorFollowVo> findUserDoctorFollowList();

    List<UserTaskRecordVo> findUserTaskList();

    List<SignEntity> findUserSign(Integer userId);

    List<UserVo> getUserInfoById(Integer userId);

    void addSign();

    void perfectUserInfo(Integer age, Integer height, Integer weight, Integer userId);

    void updateUserSex(Integer sex, Integer userId);

    void modifyNickName(String nickName, Integer userId);

    List<SystemNoticeEntity> findSystemNoticeList();

    List<InquiryNoticeVo> findInquiryNoticeList(Integer userId);

    List<HealthyCurrencyNoticeListVo> findHealthyCurrencyNoticeList(Integer userId);

    List<UserNoticeReadNumVo> findUserNoticeReadNum(Integer userId);

    void modifyAllStatus(Integer userId);


    HealthR uploadUserArchivesImg(MultipartFile imagePic, String sessionId, Integer id);

    String Pay(BigDecimal money,Integer userId);

 Integer findUserWallet(Integer userId);


    void drawCash(Integer userId, BigDecimal money);
    List<SickCircleCommentVo> findSickCircleCommentList(Integer userId);
}
