package doctor.service.impl;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.MySickEntity;
import doctor.domain.entity.SickCircleEntity;
import doctor.mapper.CollectSickMapper;
import doctor.service.CollectSickService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName CollectSickServiceImpl
 * @Description 描述
 */
@Service
@Log4j2
public class CollectSickServiceImpl implements CollectSickService {
   @Autowired
  private   CollectSickMapper collectSickMapper;

    @Override
    public HealthR<SickCircleEntity> cancelSickCollection(Integer sickCircleId) {
        //查询我的病友圈对象信息看是否存在
        // 根据sickCircleId获取收藏信息
        MySickEntity s = collectSickMapper.show(sickCircleId);
        if (s != null) {
            // 根据sickCircleId删除收藏信息
            collectSickMapper.del(sickCircleId);
            // 根据sickCircleId更新收藏信息
            collectSickMapper.upda(sickCircleId);
            // 返回取消收藏成功的提示信息
            return HealthR.fail("取消收藏成功");
        } else {
            // 返回没有收藏过的提示信息
            return HealthR.fail("没有收藏过");
        }


    }

    @Override
    public HealthR<SickCircleEntity> addUserSickCollection(Integer sickCircleId) {
           //查询我的病友圈对象信息看是否存在
           MySickEntity s=collectSickMapper.show(sickCircleId);

           if (s==null){
               //查询病友圈对象信息
               SickCircleEntity sickCircleEntity= collectSickMapper.shop(sickCircleId);

               //添加我的收藏记录
             collectSickMapper.ins(sickCircleEntity);

             //更新病友圈的收藏数
              collectSickMapper.upd(sickCircleId);

                return HealthR.ok(sickCircleEntity);
           }else {
               return HealthR.fail("已经收藏过了");
           }
    }


}
