package doctor.service.impl;

import doctor.convert.DoctorConvert;
import doctor.domain.entity.DoctorCharge;
import doctor.domain.entity.DoctorCommentCount;
import doctor.domain.entity.DoctorEntity;
import doctor.domain.vo.DoctorVo;
import doctor.mapper.DoctorMapper;
import doctor.service.DoctorService;
import doctor.system.api.domain.Doctor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.service.impl
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:45
 */
@Service
public class DoctorServiceimpl implements DoctorService {
    @Autowired
    private DoctorMapper doctorMapper;


    @Override
    public List<DoctorVo> findDoctorList(Integer deptId, Integer condition, Integer sortBy) {
        List<DoctorEntity> doctorEntities=doctorMapper.findDoctorList(deptId);//获取指定部门的医生实体列表
//        List<DoctorVo> doctorVos=new ArrayList<>();
//        for (DoctorEntity doctorEntity : doctorVoList) {
//            DoctorVo doctorVo = new DoctorVo();
//            DoctorCharge doctorCharge = doctorMapper.doctorCharge(doctorEntity.getId()); // 获医生的收费信
//            doctorVo.setServicePrice(doctorCharge.getCost()); // 设置医生的收费价格
//            doctorVo.setDoctorId(doctorEntity.getId());
//            doctorVo.setDoctorName(doctorEntity.getName());
//            doctorVo.setDoctorName(doctorVo.getDoctorName());
//            doctorVo.setImagePic(doctorVo.getImagePic());
//            doctorVo.setJobTitle(doctorEntity.getJobTitle());
//            doctorVo.setInauguralHospital(doctorVo.getInauguralHospital());
//            DoctorCommentCount doctored=doctorMapper.doctorCommentCount(doctorEntity.getId());
//            doctorVo.setPraiseNum(doctored.getPraiseNum());
//            doctorVo.setCommentNum(doctored.getPraiseNum()+doctored.getBadNum());
//            doctorVo.setBadNum(doctored.getBadNum());
//            doctorVo.setPraise(doctorVo.getPraiseNum()/doctorVo.getCommentNum());
//
//
//
//        }

        List<DoctorVo> doctorVos= DoctorConvert.INSTANCE.doctorEntityListToDoctorVoList(doctorEntities);

        return doctorVos;
    }
}
