package doctor.service.impl;

import doctor.system.api.domain.Department;
import doctor.system.api.domain.Doctor;
import doctor.system.api.domain.User;
import doctor.mapper.DoctorUserMapper;
import doctor.service.DoctorUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DoctorUserServiceImpl implements DoctorUserService {
    @Autowired
    private DoctorUserMapper iDoctorUserMapper;

    @Override
    public User getUser(String email) {
        User doctorUser = iDoctorUserMapper.selectUserByEmail(email);
        return doctorUser;
    }

    @Override
    public Doctor getDoctor(String email) {
        Doctor doctor = iDoctorUserMapper.selectDoctorByEmail(email);
        Department department=iDoctorUserMapper.findDepartmentByDoctorDepartmentId(doctor.getDepartmentId());
        doctor.setDepartment(department);
        return doctor;
    }

}
