package doctor.service.impl;

import com.alibaba.nacos.api.model.v2.Result;
import doctor.common.core.constant.TokenConstants;
import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.common.security.service.TokenService;
import doctor.common.core.utils.StringUtils;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SickCommentVo;
import doctor.mapper.SickCircleMapper;
import doctor.service.SickCircleServer;
import doctor.system.api.model.LoginUser;
import doctor.util.OssUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.persistence.Access;
import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName SickCircleServerImpl
 * @Description 描述
 */
@Service
@Log4j2
public class SickCircleServerImpl implements SickCircleServer {

    @Autowired
    SickCircleMapper mapper;

    @Override
    public HealthR<SickCircleEntity> publishSickCircle(SickCircleEntity sickCircleEntity) {
        if (StringUtils.isEmpty(sickCircleEntity.getTitle())) {
            Result.failure("标题不能为空");
        }
        if (StringUtils.isEmpty(sickCircleEntity.getTitle())) {
            Result.failure("标题不能为空");
        }
        if (StringUtils.isEmpty(sickCircleEntity.getDisease())) {
            Result.failure("症状不能为空");
        }
        if (StringUtils.isEmpty(sickCircleEntity.getDetail())) {
            Result.failure("描述不能为空");
        }
        if (StringUtils.isEmpty(sickCircleEntity.getTreatmentProcess())) {
            Result.failure("治疗过程不能为空");
        }
        LoginUser login = Login();
        sickCircleEntity.setUserId(login.getUserid());
        String s = redisTemplate.opsForValue().get("url");
        sickCircleEntity.setPicture(s);
        mapper.publishSickCircle(sickCircleEntity);
        return HealthR.ok(sickCircleEntity);
    }


    @Autowired
    HttpServletRequest httpServletRequest;
    @Autowired
    TokenService tokenService;

    private LoginUser Login() {

        String header = httpServletRequest.getHeader(TokenConstants.SESSIONID);
        LoginUser loginUser = tokenService.getLoginUser(header);
        return loginUser;
    }


    @Autowired
    RedisTemplate<String,String> redisTemplate;
    @Override
    public Result pictures(MultipartFile picture) {
        String url = OssUtil.uploadMultipartFile(picture);
        if (StringUtils.isEmpty(url)){
            log.info("上传oss成功:"+url);
        }
//        redisTemplate.opsForValue().set("usr",url);
        return Result.success(url);
    }

    @Override
    public Result<SickCommentVo> publishComment(Integer sickCircleId, String content) {
        //获取用户对象
        LoginUser login = Login();
        //获取用户id
        Long userid = login.getUserid();

        mapper.publishComment(sickCircleId,userid, content);

        return Result.success(null);
    }

    @Override
    public HealthR expressOpinion(Integer commentId, Integer opinion) {
        LoginUser login = Login();
        Long userid = login.getUserid();
            mapper.expressOpinion(commentId, opinion,userid);

        return HealthR.ok();
    }

}
