package doctor.service.impl;

import doctor.common.core.utils.JwtUtils;
import doctor.domain.entity.*;
import doctor.domain.vo.VideoCommentVo;
import doctor.mapper.VideoMapper;
import doctor.service.VideoService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @ClassName : VideoServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 16:04
 */
@Service
public class VideoServiceImpl implements VideoService {
    @Autowired
    private VideoMapper videoMapper;
    @Autowired
    private HttpServletRequest request;
    @Override
    public void addUserVideoCollection(Integer videoId,Integer userId) {
        // 添加收藏
        videoMapper.addUserVideoCollection(userId,videoId);
        // 更新视频收藏数
        VideoEntity video = videoMapper.findById(videoId);
        VideoCountEntity videoCount = videoMapper.FindVideoId(video.getId());
        videoMapper.updateVideoCount(videoCount);
    }

    @Override
    public void videoBuy(Integer videoId,Integer price) {
        //获取用户id
        String token = request.getHeader("token");
        Integer userId = Integer.valueOf(JwtUtils.getUserId(token));
        //查询用户信息
        UserEntity user = videoMapper.FindById(userId);
        //查询用户钱包
        UserWalletEntity userWallet = videoMapper.FindUserWallet(user.getId());
        //判断用户钱包是否足够
        if (userWallet.getBalance() >= price) {
            //更新用户钱包
            int newblance = userWallet.getBalance() -price;
            //更新用户钱包
            videoMapper.updateUserWallet(newblance, userWallet.getId());
        }
    }

    @Override
    public List<VideoCommentVo> findVideoCommentList(Integer videoId) {
        List<VideoCommentEntity> videoCommentEntityList = videoMapper.findVideoCommentList(videoId);
        List<VideoCommentVo> videoCommentVoList = ConvertUtil.entityToVoList(videoCommentEntityList, VideoCommentVo.class);
        return videoCommentVoList;
    }

    @Override
    public void addVideoComment(Integer userId, String sessionId, Integer videoId, String content) {
        videoMapper.addVideoComment(userId, sessionId, videoId, content);
    }


}
